Subject: Re: bug#59943: 30.0.50; ERC 5.5+: Add visual indicator to ERC keep-place

From: "J.P." <[email-masked]>
Date: Thu, 13 Jul 2023 19:03:07 -0700

Reflecting back, I think the decision to tether this local module to the
global module `keep-place' was wrong. A likely usage pattern for this
feature is per-buffer activation, whether interactively or via join
hook. Such users shouldn't be asked to buy into `keep-place' everywhere.
Contrast this with `fill-wrap'. It too is a local module that depends on
a global one, but there's no clear use case for *not* wanting it in some
subset of buffers, so it's effectively global (but technically local for
maintenance reasons).

Anyway, I've gone ahead and fixed this problem [1], so that `keep-place'
and `keep-place-indicator' are completely separate but work in tandem
when `keep-place' is active. However, as implied, the local module can
also operate completely independently.

Thanks.

P.S. Don't be confused by the version in the subject line: the original
`keep-place' is new in ERC 5.6.

[1] https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2716dd13